Subject: bug#18230: Removing support for DJGPP < 2.02

From: Reuben Thomas <[email-masked]>
Date: Sat, 9 Aug 2014 15:42:16 +0100

On 9 August 2014 15:39, Eli Zaretskii <[email-masked]> wrote:

> > Date: Sat, 9 Aug 2014 14:33:02 +0100
> > From: Reuben Thomas <[email-masked]>
> >
> > Given that DJGPP 2.02 was released in 1998, may I remove the two files
> > which are added to support earlier releases, that is:
> >
> > msdos/is_exec.c
> > msdos/sigaction.c
>
> OK.  But if we are dropping v2.01, please also remove the code in
> msdos.c and dosfns.c, and also in msdos/sed2v2.inp, that caters to
> v2.01 and older versions.
>

Sorry, I had spotted that, but read a "<" as a "<=", so was intending to
address it separately. I'll address it in the same patch.

> We should also mention in msdos/INSTALL than only version 2.02 and
> later are supported.
>

Will do.

> Finally, config.bat should have its test of the DJGPP version updated
> to fail v2.01 and older versions.
>

I shall see to it.

-- 
http://rrt.sc3d.org